<?php

require_once("include.php");

// don't allow non-admin to delete (bug #1229195 )
if ( ! is_admin() ) {
	header("Location: " . get_base_url() . "index.php");
	exit;
}


$done = get_base_url() . "edit_videos.php";

//
// - i is the key of the file we want to delete
//
if (isset($_GET['i'])) {
	if (isset($_GET['t'])) {
		$id = $_GET['i'];
		$type = $_GET['t'];

		if ($type == "v") {
			$files = $store->getAllFiles();
			$url = $files[$id]["URL"];
			$owner = isset($files[$id]["Publisher"]) ? $files[$id]["Publisher"] : "";

			if ( ! ( is_admin() || $owner == get_username() ) ) {
				die("You don't have the permissions to delete this file!");
			}

			$file = $files[$id];

			// if this is a local torrent, then lets make sure we turn off sharing
			if ( is_local_file($file["URL"]) ) {

				$filename = local_filename($url);

				if ($filename != "") {
					if ( is_local_torrent($file["URL"]) ) {
						global $seeder;
						
						// stop the seeder process and delete any files
						// related to the torrent
						$seeder->stop($filename, true);
					}

					if ( file_exists("torrents/" . $filename) ) {
						unlink("torrents/" . $filename);
					}
				}
			}

			unset($files[$id]);

/*			$handle = fopen('data/files', "a+b");
			fseek($handle,0);
			flock($handle,LOCK_EX);
			ftruncate($handle,0);
			fseek($handle,0);
			fwrite($handle,bencode($files));
			fclose($handle);
*/
			$store->store_files($files);


			//
			// update our channels data
			//
			$channels = $store->getAllChannels();
			
			// keep track of which RSS feeds need to be updated
			$update_rss = array();

			foreach ($channels as $channel) {
				$keys = array_keys($channel['Files']);

				foreach ($keys as $key) {
					$file = $channel['Files'][$key];
					if ($file[0] == $id) {
						$update_rss[] = $channel['ID'];
						unset($channel['Files'][$key]);
					}
				}

				if (is_array($channel['Sections'])) {
					$sections = array_keys($channel['Sections']);

					foreach ($sections as $section) {
						if (is_array($section['Files'])) {
							$keys = array_keys($section['Files']);
							foreach ($keys as $key) {
								$file = $channel['Files'][$key];
								if ($file == $id) {
									unset($channel['Sections'][$section]['Files'][$key]);
								}
							}
						}
					}
				}

				$channels[$channel['ID']] = $channel;
			}

			// write the channel data
			$store->store_channels($channels);
/*			$handle = fopen('data/channels', "a+b");

			fseek($handle,0);
			flock($handle,LOCK_EX);
			ftruncate($handle,0);
			fseek($handle,0);
			fwrite($handle,bencode($channels));
			fclose($handle);

			$channels = $store->getAllChannels();*/

			foreach ($update_rss as $channelID) {
				makeChannelRss($channelID);
			}

		} 
		
		//
		// delete an entire channel
		//
		elseif ($type == 'c') {
			$channels = $store->getAllChannels();
			if ( ! is_admin() ) {
				die("You don't have the permissions to delete this channel!");
			}
	
			unset($channels[$id]);

			$handle = fopen('data/channels', "a+b");

			fseek($handle,0);
			flock($handle,LOCK_EX);
			ftruncate($handle,0);
			fseek($handle,0);
			fwrite($handle,bencode($channels));
			fclose($handle);
			$done = get_base_url() . "channels.php";
		}
	}
}

header('Location: ' . $done . "" );

?>
