<?php
require_once("include.php");

global $settings;

if(!isset($_GET["i"]) || !isset($_GET["c"])) {
	header('Location: ' . get_base_url() . "index.php" );
	exit;
}

//
// special handling for sending our helper installer files.  someday this will be broken out
// into it's own file
//
if (isset($_GET["type"])) {
	if ($_GET['type'] == 'exe') {
		send_installer('Blog_Torrent_Upload');
	}
	elseif ($_GET['type'] == 'mac') {
		send_mac_installer('Blog_Torrent_Upload');
	}
	
	exit;
} 


$files = $store->getAllFiles();
$file = $files[$_GET['i']];

$channels = $store->getAllChannels();
$channel = $channels[$_GET["c"]];

//
// if we require the user to be logged in to access the file, then do the HTTP AUTH now
//
if ( !isset( $_SESSION['user'] ) && 
	(
		( isset($settings["DownloadRegRequired"]) && $settings["DownloadRegRequired"] == 1 ) || 
		( isset($channel["RequireLogin"]) && $channel["RequireLogin"] == 1 )
	)) {

	// do an http auth here instead of redirecting to a page (1201469)
	do_http_auth();

}

//
// special handling for if this file is on our server, but only if it's a .torrent file
//
if ( is_local_file($file["URL"] ) ) {

	$filename = local_filename($file["URL"]);
	//
	// process local torrents
	//
	if ( is_local_torrent($file["URL"] ) ) {

		header('Content-type: application/x-bittorrent');
		header('Content-Disposition: inline; filename="' . urlencode($filename) . '"');
		header('Content-length: ' . filesize('./torrents/'.$filename));
	
		// make sure the seeder is running, if it should be
		$torrenthash = $store->getHashFromTorrent($filename);
		$seeder->confirmSeederRunning($torrenthash, $filename);

		echo $store->getRawTorrent($filename);
	}

	//
	// process other local files
	//
	else {
		header('Content-type: ' . $file["Mimetype"] );
		header('Content-Disposition: inline; filename="' . urlencode($filename) . '"');
		header('Content-length: ' . filesize('./torrents/' . $filename));
		echo file_get_contents( './torrents/' . $filename );
	}

	exit;
}


//
// otherwise, just serve the file and be done
//

// urlencode the filename so that we don't send junky chars to the user (1201465)
header('Location: ' . linkencode($file["URL"]));

?>